"""PermissionsX - Authorization for Django.

:copyright: Copyright (c) 2013-2017 by Robert Pogorzelski.
:license:   BSD, see LICENSE for more details.

"""


def get_username(u):
    return u + '_username'


def is_authenticated(context):
    return context('request.user.is_authenticated')


def is_staff(context):
    return context('request.user.is_staff')


def is_superuser(context):
    return context('request.user.is_superuser')


def is_staff_or_superuser(context):
    return is_staff(context) or is_superuser(context)


def is_staff_and_superuser(context):
    return is_staff(context) and is_superuser(context)


def is_not_staff(context):
    return not is_staff(context)


def is_not_staff_or_superuser(context):
    return not is_staff_or_superuser(context)


def is_not_staff_and_superuser(context):
    return not is_staff_and_superuser(context)


def is_public(context):
    return context('request.user.is_public')


def is_not_public_and_is_not_authenticated(context):
    return not is_public(context) and not is_authenticated(context)


def username_eq_str(context):
    return context('request.user.username') == 'user_username'


def username_eq_lambda(context):
    return context('request.user.username') == get_username('user')


def is_owner(context):
    return context('request.user') == context('request.object.owner')


def is_owner_or_staff(context):
    return is_owner(context) or is_staff(context)
