"""PermissionsX - Authorization for Django.

:copyright: Copyright (c) 2013-2017 by Robert Pogorzelski.
:license:   BSD, see LICENSE for more details.

"""
from django.views.generic import TemplateView
from django.contrib import messages

from permissionsx.contrib.django import views
from permissionsx.tests import permissions


class LoginView(TemplateView):

    template_name = 'tests/login.html'


class Login2View(TemplateView):

    template_name = 'tests/login2.html'


class AuthenticatedView(views.PermissionsTemplateView):

    template_name = 'tests/passed.html'
    permissions = permissions.is_authenticated


class AccessDeniedView(views.MessageRedirectView):

    message = (messages.warning, 'Access Denied')


class ResponseClassView(views.PermissionsTemplateView):

    template_name = 'tests/passed.html'
    permissions = permissions.is_authenticated
    permissions_response_class = AccessDeniedView


class SuperuserView(views.PermissionsTemplateView):

    template_name = 'tests/passed.html'
    permissions = permissions.is_superuser


class MenuView(views.PermissionsTemplateView):

    template_name = 'tests/menu.html'
    permissions = permissions.is_authenticated
