"""PermissionsX - Authorization for Django.

:copyright: Copyright (c) 2013-2017 by Robert Pogorzelski.
:license:   BSD, see LICENSE for more details.

"""
import importlib


def get_obj(module_name, obj_name):
    try:
        module = importlib.import_module(module_name)
    except ImportError:
        raise ImportError('Cannot import object "{}"'.format('.'.join((module_name, obj_name))))
    try:
        obj = getattr(module, obj_name)
    except AttributeError:
        raise ImportError('Object "{}" not found in {}'.format(obj_name, module_name))
    else:
        return obj
